org.keycloak.jaxrs

## Class JaxrsHttpFacade

- java.lang.Object
- - org.keycloak.jaxrs.JaxrsHttpFacade

- All Implemented Interfaces:
    HttpFacade

      public class JaxrsHttpFacade
      extends Object
      implements HttpFacade

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JaxrsHttpFacade.RequestFacade`
    `protected class` | `JaxrsHttpFacade.ResponseFacade`

    - ### Nested classes/interfaces inherited from interface org.keycloak.adapters.HttpFacade

      `HttpFacade.Cookie, HttpFacade.Request, HttpFacade.Response`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakSecurityContext` | `keycloakSecurityContext`
    `protected javax.ws.rs.container.ContainerRequestContext` | `requestContext`
    `protected JaxrsHttpFacade.RequestFacade` | `requestFacade`
    `protected JaxrsHttpFacade.ResponseFacade` | `responseFacade`
    `protected boolean` | `responseFinished`
    `protected javax.ws.rs.core.SecurityContext` | `securityContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsHttpFacade(javax.ws.rs.container.ContainerRequestContext containerRequestContext, javax.ws.rs.core.SecurityContext securityContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate[]` | `getCertificateChain()`
    `HttpFacade.Request` | `getRequest()`
    `HttpFacade.Response` | `getResponse()`
    `KeycloakSecurityContext` | `getSecurityContext()`
    `boolean` | `isResponseFinished()`
    `void` | `setSecurityContext(KeycloakSecurityContext securityContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requestContext

          protected final javax.ws.rs.container.ContainerRequestContext requestContext

    - #### securityContext

          protected final javax.ws.rs.core.SecurityContext securityContext

    - #### requestFacade

          protected final JaxrsHttpFacade.RequestFacade requestFacade

    - #### responseFacade

          protected final JaxrsHttpFacade.ResponseFacade responseFacade

    - #### keycloakSecurityContext

          protected KeycloakSecurityContext keycloakSecurityContext

    - #### responseFinished

          protected boolean responseFinished

  - ### Constructor Detail

    - #### JaxrsHttpFacade

          public JaxrsHttpFacade(javax.ws.rs.container.ContainerRequestContext containerRequestContext,
                         javax.ws.rs.core.SecurityContext securityContext)

  - ### Method Detail

    - #### getSecurityContext

          public KeycloakSecurityContext getSecurityContext()

      Specified by:
        `getSecurityContext` in interface `HttpFacade`

    - #### setSecurityContext

          public void setSecurityContext(KeycloakSecurityContext securityContext)

    - #### getRequest

          public HttpFacade.Request getRequest()

      Specified by:
        `getRequest` in interface `HttpFacade`

    - #### getResponse

          public HttpFacade.Response getResponse()

      Specified by:
        `getResponse` in interface `HttpFacade`

    - #### getCertificateChain

          public X509Certificate[] getCertificateChain()

      Specified by:
        `getCertificateChain` in interface `HttpFacade`

    - #### isResponseFinished

          public boolean isResponseFinished()

Copyright © 2014. All Rights Reserved.